• EnglishEspañol日本語한국어Português
  • EntrarComeçar agora

Esta tradução de máquina é fornecida para sua comodidade.

Caso haja alguma divergência entre a versão em inglês e a traduzida, a versão em inglês prevalece. Acesse esta página para mais informações.

Criar um problema

Atualizar o agente PHP

Para aproveitar ao máximo os recursos mais recentes, melhorias e patches de segurança importantes da New Relic, recomendamos que você atualize seu agente PHP para a versão mais recente. Para obter informações adicionais sobre atualizações específicas do agente, consulte as notas de versão do agente PHP.

Este documento explica como atualizar o agente para:

  • RedHat e CentOS
  • Ubuntu e Debian

Para atualizar via tar archive, siga os procedimentos de instalação do arquivo tar. (Os procedimentos para instalar e atualizar com o arquivo tar são os mesmos.)

Use o pacote newrelic-php5

O nome do pacote do agente PHP da New Relic é newrelic-php5.

Dica

Embora o nome do pacote faça referência ao PHP 5, este pacote funciona para todas as versões suportadas do PHP.

Atualize usando seu gerenciador de pacote

Para atualizar o agente PHP:

  1. Substitua os arquivos do agente usando seu gerenciador de pacote preferido para seu sistema:

  2. RedHat ou CentOS: execute o script newrelic-install e siga o prompt de confirmação do script de instalação antes de substituir uma instalação antiga.

    bash
    $
    sudo newrelic-install install

    Ubuntu ou Debian: siga o prompt do gerenciador de pacote para executar o script newrelic-install como parte do processo de instalação.

  3. Pare quaisquer processos newrelic-daemon residuais executando

    kill $(pgrep newrelic-daemon)

    Se o newrelic-daemon estiver configurado para iniciar no modo externo, use o gerenciador de serviços do seu sistema operacional para reiniciá-lo.

  4. Reinicie seu servidor web (Apache, Nginx, PHP-FPM, etc.).

  5. Aguarde alguns minutos para que seu aplicativo envie dados para o New Relic.

Atualizar versões de agente não suportadas

Importante

Se você estiver atualizando de uma versão mais antiga do agente, incluindo versões principais, revise a lista a seguir para obter alterações na funcionalidade.

Migração

Comentários

8.0.0.204

Notas de versão: agente PHP 8.0.0.204

TLS replaces the newrelic.daemon.ssl ini setting.

Para aumentar a segurança, a configuração newrelic.daemon.ssl ini foi removida. O Transport Layer Security (TLS) agora será sempre usado na comunicação com o coletor New Relic.

7.0.0.186

Notas de versão: agente PHP 7.0.0.186

PHP 5.2 is no longer supported.

A New Relic incentiva você a usar uma versão compatível do PHP (5.6 ou superior). Se você quiser continuar executando o agente PHP New Relic com PHP 5.2, recomendamos usar o agente versão 6.9. No entanto, neste caso, só podemos oferecer suporte limitado.

5.0.0.115

Notas de versão: agente PHP 5.0.0.115

Daemon command line flags have been renamed.

Para clientes que iniciam o daemon manualmente, você pode encontrar o newly renamed command line flags com os sinalizadores -h ou --help . O following old flags will be removed em uma versão futura:

  • [-p pidfile]
  • [-d level]
  • [-c config]
  • [-l logfile]
  • [-P port]
  • [-s]
  • [-n]
  • [-b SSL-certificate-bundle]
  • [-S SSL-certificate-path]
  • [-H host]
  • [-x proxy]
  • [-a auditlog]

Resolução de problemas após atualização

Se você atualizou o PHP e o agente parou de funcionar ou de reportar dados, siga os procedimentos de resolução de problemas.

Copyright © 2024 New Relic Inc.

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.